Retrieve role details
Visibility: public · internal ( OpenAPI Custom Extension: x-visibility )
Retrieve role definition and permissions.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication using OAuth2/OIDC tokens
In: header
Path Parameters
id*string
Unique role identifier
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.k0rdent.ai/v1/regions/global/iam/roles/string"{
"selfLink": "/v1/regions/global/iam/roles/viewer",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"id": "viewer",
"displayName": "Viewer",
"description": "string",
"permissions": [
"string"
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}How is this guide?